SingletonList (BioJava-1.5-beta API)
Keywords: org.biojava.utils.SingletonList class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils
Class SingletonList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.biojava.utils.SingletonList

All Implemented Interfaces:
  Serializable, Iterable, Collection, List

    public class SingletonList

extends AbstractList
implements Serializable

Author:
  Matthew Pocock
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`SingletonList(Object obj)`

Method Summary
`Object` | `get(int i)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`add, add, addAll, clear, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### SingletonList

    public SingletonList(Object obj)

Method Detail

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in interface `List`
  Specified by:
    `size` in class `AbstractCollection`

### get

    public Object get(int i)
               throws IndexOutOfBoundsException

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`
  Throws:
    `IndexOutOfBoundsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD